aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorJohn Rigby <john.rigby@linaro.org>2012-12-17 14:43:22 -0700
committerJohn Rigby <john.rigby@linaro.org>2012-12-17 14:43:22 -0700
commita1ab8b9ca8fa4ff1d4a6ec376628985a2c15df79 (patch)
treed9af5df62812d6d7cd714d43e3d0c9fdeb58fe01 /scripts
parentb5c123bd5f390a2176d9156860926e2c84b70f1a (diff)
add tmp revert hack
Signed-off-by: John Rigby <john.rigby@linaro.org>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/package_kernel4
1 files changed, 4 insertions, 0 deletions
diff --git a/scripts/package_kernel b/scripts/package_kernel
index 4c46c34..88eaf6b 100755
--- a/scripts/package_kernel
+++ b/scripts/package_kernel
@@ -182,6 +182,9 @@ setup_kernel_git()
git checkout -b working_branch \
remotes/kernel_remote/$kernel_branch
git reset --hard remotes/kernel_remote/$kernel_branch
+ test "$do_revert_hack" == "true" && {
+ git revert --no-edit $revert_commit || echo nothing to revert
+ }
git clean -d -f -x
test -d debian && git rm -r debian
test -d debian.linaro && git rm -r debian.linaro
@@ -544,6 +547,7 @@ lava_test()
submit_lava_job
}
+
export scriptname=$(basename $0)
trap cleanup EXIT